corelinux::Component Class Reference

A Component declares the interface for the objects in a composition and implements default behavior. More...

`#include <Component.hpp>`

## Public Member Functions

| Component (void)
| Default Constructor.
| Component (ComponentCref)
| Copy Constructor. More...
virtual | ~Component (void)
| Virtual Destructor.
ComponentRef | operator= (ComponentCref)
| Assignment operator overload. More...
bool | operator== (ComponentCref) const
| Equality operator overload. More...
bool | operator!= (ComponentCref) const
| Non-equality operator overload. More...
virtual void | accept (VisitorPtr) throw ( NullPointerException )
| Accept is a double dispatch method which allows components to have new operations defined without changing the structure of the components themselves. More...
Public Member Functions inherited from corelinux::CoreLinuxObject
| CoreLinuxObject (void)
| Default Constructor.
| CoreLinuxObject (CoreLinuxObjectCref)
| Copy Constructor. More...
virtual | ~CoreLinuxObject (void)
| Virtual Destructor.
CoreLinuxObjectRef | operator= (CoreLinuxObjectCref)
| Assignment operator overload. More...
bool | operator== (CoreLinuxObjectCref) const
| Equality operator overload. More...
bool | operator!= (CoreLinuxObjectCref) const
| Non-equality operator overload. More...

## Detailed Description

A Component declares the interface for the objects in a composition and implements default behavior.

This is a safe component by which the composite implementation fully declares leaf management methods.

See Also
  TransparentComponent

## Constructor & Destructor Documentation

corelinux::Component::Component | ( | ComponentCref |  | ) |

Copy Constructor.

Parameters

  Component | const reference

## Member Function Documentation

void corelinux::Component::accept | ( | VisitorPtr | aVisitor | ) |
throw | ( | NullPointerException
| ) |  |

virtual

Accept is a double dispatch method which allows components to have new operations defined without changing the structure of the components themselves.

Parameters

  Visitor | pointer to visitor

Exceptions

  NullPointerException | if pointer is null

bool corelinux::Component::operator!= | ( | ComponentCref | aRef | ) | const

Non-equality operator overload.

Parameters

  Component | const reference

Returns
  false if equal, true otherwise

References operator==().

ComponentRef corelinux::Component::operator= | ( | ComponentCref |  | ) |

Assignment operator overload.

Parameters

  Component | const reference

Returns
  Component reference to self

bool corelinux::Component::operator== | ( | ComponentCref | aRef | ) | const

Equality operator overload.

Parameters

  Component | const reference

Returns
  true if equal, false otherwise

Referenced by operator!=().

The documentation for this class was generated from the following files:

- Component.hpp
- Component.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium